> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md).

# Configuração de proxy

## **Como usar** <a href="#emy5d62jzxkv" id="emy5d62jzxkv"></a>

Para que o SDK use seu proxy para fazer solicitações, você deve inserir as configurações a serem usadas por meio de uma instância de **`ProxySettings`** classe enviada como parâmetro para o **`setProxySettings`** método no builder de qualquer um dos nossos SDKs:

```java
ProxySettings proxySettings = new ProxySettings(hostname, port)
    .setAuthentication(user, password); // Esta chamada não é obrigatória, veja a documentação abaixo

DeviceAuthenticator mDeviceAuthenticator = new DeviceAuthenticator.Builder(mobileToken)
    .setProxySettings(proxySettings)
    .build();
```

## **Método construtor** <a href="#et2stmlb4kk8" id="et2stmlb4kk8"></a>

<table><thead><tr><th width="213">Parâmetro</th><th width="137.66666666666666">Tipo</th><th>Descrição</th></tr></thead><tbody><tr><td><strong><code>hostname</code></strong></td><td><code>String</code></td><td>Define o domínio ou endereço IP do serviço de proxy.</td></tr><tr><td><strong><code>port</code></strong></td><td><code>int</code></td><td>Define a porta a ser usada.</td></tr></tbody></table>

## **Métodos opcionais** <a href="#dxnbvwk3yv83" id="dxnbvwk3yv83"></a>

### `setAuthentication(String user, String password)` <a href="#uadpatdrd9lj" id="uadpatdrd9lj"></a>

Informa os parâmetros de autenticação do seu proxy, se houver.

<table><thead><tr><th width="216.5">Parâmetro</th><th>Descrição</th></tr></thead><tbody><tr><td><strong><code>user</code></strong></td><td>Nome de usuário a ser usado para autenticação.</td></tr><tr><td><strong><code>password</code></strong></td><td>Senha a ser usada para autenticação.</td></tr></tbody></table>

### `setProxyCertificate(@RawRes Integer proxyCertificate)` <a href="#bdayoo21qrw" id="bdayoo21qrw"></a>

Se o servidor proxy usar um certificado SSL autoassinado ou um emitido por uma Autoridade Certificadora (CA) não pública, adicione o certificado da CA em `PEM` ou `DER` formato para `res/raw/` (por exemplo,`res/raw/proxy_certificate`) e passe como argumento o identificador do arquivo (por exemplo,`R.raw.proxy_certificate`).

<table><thead><tr><th width="229.66666666666666">Parâmetro</th><th width="116">Tipo</th><th>Descrição</th></tr></thead><tbody><tr><td><strong><code>proxyCertificate</code></strong></td><td>int</td><td>ID do arquivo do certificado do proxy.</td></tr></tbody></table>

### `setMTLSConfig(@RawRes Integer clientCertificate, String password)` <a href="#aq097dv78l4y" id="aq097dv78l4y"></a>

Se o servidor proxy oferecer suporte a mTLS, salve o certificado a ser usado pelo cliente em `PKCS12` formato (`.p12`) em `res/raw/ (por exemplo, res/raw/client_certificate)` e passe o identificador do arquivo (por exemplo, R.raw\.client\_certificate) e a chave privada como argumento.

<table><thead><tr><th width="232">Parâmetro</th><th width="140.66666666666666">Tipo</th><th>Descrição</th></tr></thead><tbody><tr><td><strong><code>clientCertificate</code></strong></td><td><code>int</code></td><td>ID do arquivo de certificado a ser usado pelo cliente.</td></tr><tr><td><strong><code>password</code></strong></td><td><code>String</code></td><td>Chave privada a ser usada pelo cliente.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
